Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom
Class MavenNamespaceFilter

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          org.owasp.dependencycheck.jaxb.pom.MavenNamespaceFilter

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, XMLFilter, XMLReader

    public class MavenNamespaceFilter

extends org.xml.sax.helpers.XMLFilterImpl

This filter is used when parsing POM documents. Some POM documents do not specify the xmlns="http://maven.apache.org/POM/4.0.0". This filter ensures that the correct namespace is added so that both types of POMs can be read.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`MavenNamespaceFilter()`

Method Summary
`void` | `endElement(String uri, String localName, String qName)` Indicatees the start of the document.
`void` | `startDocument()` Called at the start of the document parsing.
`void` | `startElement(String uri, String localName, String qName, Attributes atts)` Called when an element is started.
`void` | `startPrefixMapping(String prefix, String url)` Called when prefix mapping is started.

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MavenNamespaceFilter

    public MavenNamespaceFilter()

Method Detail

### startDocument

    public void startDocument()
                       throws SAXException

  Called at the start of the document parsing.

  Specified by:
    `startDocument` in interface `ContentHandler`
  Overrides:
    `startDocument` in class `org.xml.sax.helpers.XMLFilterImpl`
  Throws:
    `SAXException` - thrown if there is a SAXException

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes atts)
                      throws SAXException

  Called when an element is started.

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.XMLFilterImpl`
  Parameters:
    `uri` - the uri
    `localName` - the localName
    `qName` - the qualified name
    `atts` - the attributes
  Throws:
    `SAXException` - thrown if there is a SAXException

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Indicatees the start of the document.

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.XMLFilterImpl`
  Parameters:
    `uri` - the uri
    `localName` - the localName
    `qName` - the qualified name
  Throws:
    `SAXException` - thrown if there is a SAXException

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String url)
                            throws SAXException

  Called when prefix mapping is started.

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Overrides:
    `startPrefixMapping` in class `org.xml.sax.helpers.XMLFilterImpl`
  Parameters:
    `prefix` - the prefix
    `url` - the url
  Throws:
    `SAXException` - thrown if there is a SAXException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.